
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kmymoney2
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### converter (static)

tde_add_library( converter STATIC_PIC AUTOMOC
  SOURCES
    mymoneygncreader.cpp
    mymoneyqifreader.cpp
    mymoneyqifwriter.cpp
    mymoneyqifprofile.cpp
    mymoneytemplate.cpp
    mymoneystatementreader.cpp
    webpricequote.cpp

  DEPENDENCIES
    kmm-includes
    dialogs-static
)


##### convertertest (static)

tde_add_library( convertertest STATIC_PIC AUTOMOC
  SOURCES
    convertertest.cpp

  LINK
    converter-static

  DEPENDENCIES
    kmm-includes

  EXCLUDE_FROM_ALL
)


##### other data

kmm_install_includes(
  FILES mymoneytemplate.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)
